tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule.AccountFeaturesReceivedHandler.AccountFeaturesReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<DiscoveryModule.AccountFeaturesReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.AccountFeaturesReceivedHandler.AccountFeaturesReceivedEvent

- Enclosing interface:
    DiscoveryModule.AccountFeaturesReceivedHandler

      public static class DiscoveryModule.AccountFeaturesReceivedHandler.AccountFeaturesReceivedEvent
      extends JaxmppEvent<DiscoveryModule.AccountFeaturesReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountFeaturesReceivedEvent(SessionObject sessionObject, IQ responseStanza, String[] features)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(DiscoveryModule.AccountFeaturesReceivedHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountFeaturesReceivedEvent

          public AccountFeaturesReceivedEvent(SessionObject sessionObject,
                                              IQ responseStanza,
                                              String[] features)

  - ### Method Detail

    - #### dispatch

          public void dispatch(DiscoveryModule.AccountFeaturesReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<DiscoveryModule.AccountFeaturesReceivedHandler>`
      Parameters:
        `handler` - handler

Copyright © 2006–2019 Tigase. All rights reserved.